> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or Update existing channel config for notifications in DMM.



## OpenAPI

````yaml /api-specs/6.3/public-api.json post /model-monitor/v2/api/notification/channel-config
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/notification/channel-config:
    post:
      tags:
        - Model Monitoring settings
      summary: Create or Update existing channel config for notifications in DMM.
      operationId: createOrUpdateChannelConfig
      requestBody:
        required: true
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dmm-plier_smtpChannelConfig'
      responses:
        '200':
          description: Notification Channel Config was updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dmm-plier_channelConfig'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_smtpChannelConfig:
      title: SMTP Channel Config.
      description: >-
        SMTP channel config used to send mail notifications in Domino Model
        Monitor.
      type: object
      properties:
        host:
          description: SMTP host.
          type: string
        port:
          description: SMTP port.
          type: integer
        username:
          description: SMTP username.
          type: string
        password:
          description: SMTP password.
          type: string
        sender:
          description: mail address to be used to send mail notification alerts.
          type: string
        recipients:
          description: >-
            mail addresses of the recipients globally configured for mail
            notification alerts.
          type: string
        configType:
          description: Notification Config type
          type: string
        tlsEnabled:
          description: SMTP TLS enabled.
          type: boolean
    dmm-plier_channelConfig:
      title: Channel Config.
      description: >-
        Channel config to be used to send notifications to a particular channel
        via Domino Model Monitor.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_smtpChannelConfig'
        - type: object
          properties:
            id:
              description: Channel Config's Unique identifier.
              type: string
            createdAt:
              description: >-
                Creation timestamp of the Channel Config in Domino Model
                Monitor.
              type: integer
            updatedAt:
              description: >-
                Last update timestamp for the Channel Config in Domino Model
                Monitor.
              type: integer
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Fetch channel config for notifications in DMM.](/6.3/api-reference/model-monitoring-settings/fetch-channel-config-for-notifications-in-dmm.md)
- [Create or Update the existing model alert config.](/6.3/api-reference/model-monitoring-settings/create-or-update-the-existing-model-alert-config.md)
- [Notification channels](/6.3/platform-capabilities/features/monitoring/7-monitor-settings/3-notification.md)
- [Set up notifications](/6.3/platform-capabilities/features/monitoring/4-set-up-model-monitor/7-set-up-notifications-mm.md)
